gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An enumeration used by the Gtk.MessageDialog class.

Gtk.ButtonsType defines prebuilt sets of buttons for a . If none of these choices are appropriate, simply use then call .

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gtk.ButtonsType Show no buttons at all
- Field
  Gtk.ButtonsType Show an OK button.
- Field
  Gtk.ButtonsType Show a Close button.
- Field
  Gtk.ButtonsType Show a Cancel button.
- Field
  Gtk.ButtonsType Show a set of Yes or No buttons.
- Field
  Gtk.ButtonsType Show a set of OK or Cancel buttons.
- Field
  System.Int32 Internal field. Do not use.